.NET Framework 4.6.2

Hier kann alles Allgemeine rund um Zusi 3 gefragt und beantwortet werden. Neuigkeiten zum Programm werden hier erscheinen.
Antworten
Nachricht
Autor
Benutzeravatar
Christian Wietzoreck
Beiträge: 275
Registriert: 18.07.2003 09:51:39
Wohnort: Recklinghausen-Süd

.NET Framework 4.6.2

#1 Beitrag von Christian Wietzoreck »

Hallo,

ich habe meinen Rechner neu aufgesetzt, u.a. mit .NET Framework 4.6.2
Bei der Installation von Zusi kam die Meldung, das ich .NET Framework 4.0 installieren soll.
Sind in der Version 4.6.2, irgendwelche Dateien nicht vorhanden, die es nur in 4.0 gibt?

Gruß
Christian
Zuletzt geändert von Christian Wietzoreck am 22.09.2016 08:04:13, insgesamt 1-mal geändert.

Alwin Meschede
Beiträge: 7559
Registriert: 04.11.2001 19:57:46
Aktuelle Projekte: Zusi3 Objektbau
Kontaktdaten:

Re: .NET Framework 4.6.2

#2 Beitrag von Alwin Meschede »

Das ist normal. Bei den .NET-Paketen von Microsoft ist nur in seltenen Fällen in den höheren Versionsnummern auch eine niedrige Versionsnummer mit enthalten. Meistens muss man darum jede Version die man benötigt separat installieren.
Mein Youtube-Kanal: youtube.com/echoray1

Benutzeravatar
A.Langer
Beiträge: 22
Registriert: 14.06.2016 20:00:56
Aktuelle Projekte: https://lrde.de
Wohnort: Dortmund
Kontaktdaten:

Re: .NET Framework 4.6.2

#3 Beitrag von A.Langer »

Naja aber wenn man versucht eine ältere Version zu der aktuellen zu installieren sagt der PC das es bereits installiert ist....
DRK - Dortmund - Sanitäter
Projektleiter - Lebensretter-Deutschland
AzuBi bei der MEV zum Tf

Benutzeravatar
Jens Haupert
Beiträge: 4540
Registriert: 23.03.2004 14:44:34
Aktuelle Projekte: http://www.zusidisplay.de
Wohnort: Berlin
Kontaktdaten:

Re: .NET Framework 4.6.2

#4 Beitrag von Jens Haupert »

Hallo,

auch wenn der Thread schon 4 Jahre alt ist. Man muss zwischen verschiedenen .net Frameworks unterscheiden, die keine Überdeckung haben und auch keine alten Versionen ersetzen. Aktuell gibt es noch folgende "Bereiche".

* .NET Framework: 2.0 - 3.5
* .NET Framework: 4.0 - 4.8
* dotnet core 3.x
* dotnet 5.x

Grüße
Jens

Hendrik
Beiträge: 15
Registriert: 07.03.2016 08:02:51

Re: .NET Framework 4.6.2

#5 Beitrag von Hendrik »

Dann die Nachfrage, warum soll die dotnet core v3.1.18 nicht die Revision 3.1.5 überdecken?

Ich habe die neueste Version .NET Core 3.1 Runtime (v3.1.18) installiert, aber die Zusi-Verwaltung möchte mir das ZusiDisplay-Update nicht anbieten, da keine vorliege.
Achtung: damit Sie weitere Updates von ZusiDisplay installieren können, muss auf Ihrem PC das dotnet core Framework installiert sein und mindestens in Version 3.1 vorliegen. Dies ist aktuell auf Ihrem PC nicht der Fall. Um das Framework zu installieren, verfahren Sie nach folgender Anleitung:
Runterladen soll ich laut der Anleitung die windowsdesktop-runtime-3.1.5-win-x86.exe. Ich werde keine ältere Library-Version installieren, da ich diese zum Programmieren benötige.

Code: Alles auswählen

[F098:101AC][2021-08-29T16:57:16]i102: Detected related bundle: {b760de12-2710-44ce-beea-97d4b2be624d}, type: Upgrade, scope: PerMachine, version: 3.1.18.30314, operation: Downgrade

F. Schn.
Beiträge: 5008
Registriert: 24.10.2011 18:58:26

Re: .NET Framework 4.6.2

#6 Beitrag von F. Schn. »

Hendrik hat geschrieben: 29.08.2021 16:54:20 Ich habe die neueste Version .NET Core 3.1 Runtime (v3.1.18) installiert
Die 32- oder die 64-Bit-Version?

Hendrik
Beiträge: 15
Registriert: 07.03.2016 08:02:51

Re: .NET Framework 4.6.2

#7 Beitrag von Hendrik »

F. Schn. hat geschrieben: 29.08.2021 17:01:36 Die 32- oder die 64-Bit-Version?
Die x86 natürlich. 3.1.18.30314.

Microsoft Windows Desktop Runtime - 3.1.18 (x86)
Microsoft Windows Desktop Runtime - 3.1.18 (x64)
Microsoft .NET Core Runtime - 3.1.18 (x86)
Microsoft .NET Core Runtime - 3.1.18 (x64)

Das einzig wichtige in dieser Liste ist ja aber nur die windowsdesktop-runtime-3.1.18-win-x86.exe
Zuletzt geändert von Hendrik am 30.08.2021 13:38:55, insgesamt 1-mal geändert.

Benutzeravatar
Jens Haupert
Beiträge: 4540
Registriert: 23.03.2004 14:44:34
Aktuelle Projekte: http://www.zusidisplay.de
Wohnort: Berlin
Kontaktdaten:

Re: .NET Framework 4.6.2

#8 Beitrag von Jens Haupert »

Und die Verwaltung als Admin gestartet zeigt weiterhin diese Meldung an?

Grüße
Jens

Hendrik
Beiträge: 15
Registriert: 07.03.2016 08:02:51

Re: .NET Framework 4.6.2

#9 Beitrag von Hendrik »

Jens Haupert hat geschrieben: 30.08.2021 13:38:34 Und die Verwaltung als Admin gestartet zeigt weiterhin diese Meldung an?

Grüße
Jens
Immer.

* "Have you tried turning it off and on again" hat auch nicht geholfen, bevor der Gedanke kommt. :(

Antworten